#
# spec file for package dbus-1
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           dbus-1
Url:            http://dbus.freedesktop.org/
License:        Other uncritical OpenSource License
Group:          System/Daemons
Summary:        D-Bus Message Bus System
# COMMON1-BEGIN
BuildRequires:  doxygen libexpat-devel libzio pkgconfig
BuildRequires:  audit-devel
Version:        1.4.1
Release:        7.8.1
AutoReqProv:    on
# bug437293
%ifarch ppc64
Obsoletes:      dbus-1-64bit
%endif
#
Source0:        dbus-%{version}.tar.bz2
Source1:        rc.boot.dbus
Source2:        dbus-1.desktop
Source3:        dbus_at_console.ck
Source4:        baselibs.conf
Patch0:         dbus-log-deny.patch
Patch1:         dbus-1.4.1-byteorder.patch
%if 0%{?suse_version} > 1100
%bcond_without selinux
%else
%bcond_with selinux
%endif
%if %{with selinux}
BuildRequires:  libselinux-devel
%endif
BuildRequires:  libcap-ng-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# COMMON1-END
PreReq:         permissions /usr/sbin/groupadd /usr/sbin/useradd /sbin/insserv /etc/init.d/boot.localfs

%package -n dbus-1-devel
License:        Other uncritical OpenSource License
Summary:        Developer package for D-Bus
Requires:       %{name} = %{version} glibc-devel
AutoReqProv:    on
Group:          Development/Libraries/Other

%package -n dbus-1-devel-doc
License:        Other uncritical OpenSource License
Summary:        Developer documentation package for D-Bus
Requires:       %{name} = %{version}
Group:          Development/Libraries/Other
AutoReqProv:    on
%if 0%{?suse_version} >= 1120
BuildArch:      noarch
%endif

%description
D-Bus is a message bus system, a simple way for applications to talk to
one another. D-Bus supplies both a system daemon and a
per-user-login-session daemon. Also, the message bus is built on top of
a general one-to-one message passing framework, which can be used by
any two apps to communicate directly (without going through the message
bus daemon).

%description -n dbus-1-devel
D-Bus is a message bus system, a simple way for applications to talk to
one another. D-Bus supplies both a system daemon and a
per-user-login-session daemon. Also, the message bus is built on top of
a general one-to-one message passing framework, which can be used by
any two apps to communicate directly (without going through the message
bus daemon).

%description -n dbus-1-devel-doc
D-Bus is a message bus system, a simple way for applications to talk to
one another. D-BUS supplies both a system daemon and a
per-user-login-session daemon. Also, the message bus is built on top of
a general one-to-one message passing framework, which can be used by
any two apps to communicate directly (without going through the message
bus daemon).

%prep
# COMMON2-BEGIN
%setup -n dbus-%{version} -q
%patch0 -p1
%patch1 -p1

%build
autoreconf -fi
export CFLAGS="${RPM_OPT_FLAGS} -fno-strict-aliasing -fPIC"
export CXXFLAGS="${RPM_OPT_FLAGS} -fno-strict-aliasing"
%if 0%{?suse_version} > 1000
export CFLAGS="$CFLAGS -fstack-protector"
export CXXFLAGS="$CXXFLAGS -fstack-protector"
export V=1
%endif
%configure \
    --disable-static 							\
    --with-pic 								\
    --bindir=/bin							\
    --libexecdir=/lib/%{name}					\
    --libdir=/%{_lib}							\
    --with-init-scripts=suse						\
    --enable-inotify							\
    --enable-doxygen-docs						\
%if %{with selinux}
    --enable-selinux							\
%endif
    --enable-libaudit							\
    --with-console-auth-dir=/var/run/dbus/at_console/			\
    --with-systemdsystemunitdir=/lib/systemd/system
make %{?_smp_mflags}
doxygen -u && doxygen
./cleanup-man-pages.sh

%install
# COMMON2-END
make DESTDIR=%{buildroot} install
mkdir -p %{buildroot}/etc/init.d
mkdir -p %{buildroot}/usr/sbin
install -m 755 %{SOURCE1} %{buildroot}/%{_sysconfdir}/init.d/dbus
ln -sf %{_sysconfdir}/init.d/dbus %{buildroot}/%{_sbindir}/rcdbus
install -d %{buildroot}/%{_localstatedir}/run/dbus
mkdir -p %{buildroot}/%{_datadir}/susehelp/meta/Development/Libraries/
install -m 0644 %SOURCE2 \
    %{buildroot}/%{_datadir}/susehelp/meta/Development/Libraries/dbus-1.desktop
mkdir -p %{buildroot}/%{_libdir}/pkgconfig
mkdir -p %{buildroot}/%{_datadir}/dbus-1/system-services
mkdir -p %{buildroot}/%{_datadir}/dbus-1/interfaces
mkdir -p %{buildroot}/%{_libdir}/dbus-1.0/include/
mv -f %{buildroot}/%{_lib}/dbus-1.0/include/* %{buildroot}/%{_libdir}/dbus-1.0/include/
rm -f %{buildroot}/%{_lib}/*.la
# devel stuff must not be in /lib
%{__ln_s} -v /%{_lib}/$(readlink %{buildroot}/%{_lib}/lib%{name}.so) %{buildroot}%{_libdir}/lib%{name}.so
%{__rm} -v %{buildroot}/%{_lib}/lib%{name}.so
# fix up pkgconfig file
sed -e 's@^\(libdir=\).*@\1%{_libdir}@' %{buildroot}/%{_lib}/pkgconfig/dbus-1.pc > %{buildroot}/%{_libdir}/pkgconfig/dbus-1.pc
rm -f %{buildroot}/%{_lib}/pkgconfig/dbus-1.pc
#
rm -f %{buildroot}/bin/dbus-launch
rm -f %{buildroot}/%{_mandir}/man1/dbus-launch.1*
chmod a-x AUTHORS COPYING HACKING NEWS README doc/*.txt doc/file-boilerplate.c doc/TODO
#
install -d %{buildroot}%{_sysconfdir}/ConsoleKit/run-session.d
install -m 755 %{SOURCE3} %{buildroot}%{_sysconfdir}/ConsoleKit/run-session.d
mkdir -p %{buildroot}%{_localstatedir}/lib/dbus
touch %{buildroot}/%{_localstatedir}/lib/dbus/machine-id

%clean
%{__rm} -rf %{buildroot}

%pre
/usr/sbin/groupadd -r messagebus 2> /dev/null || :
/usr/sbin/useradd -r -o -s /bin/false -c "User for D-Bus" -d /var/run/dbus -g messagebus messagebus 2> /dev/null || :
%if 0%{?suse_version:1}

%preun
%{stop_on_removal dbus}

%post
/bin/dbus-uuidgen --ensure
%{insserv_force_if_yast dbus}
/sbin/ldconfig
%{run_permissions}
%verifyscript
%verify_permissions -e /lib/dbus-1/dbus-daemon-launch-helper

%postun
%{insserv_cleanup}
/sbin/ldconfig
%endif

%files
%defattr(-, root, root)
%dir %{_datadir}/dbus-1
%dir %{_datadir}/dbus-1/services
%dir %{_datadir}/dbus-1/system-services
%dir %{_datadir}/dbus-1/interfaces
%dir %{_localstatedir}/lib/dbus
%dir /lib/dbus-1
%doc AUTHORS COPYING HACKING NEWS README
%dir %{_sysconfdir}/dbus-1
%dir %{_sysconfdir}/dbus-1/session.d
%dir %{_sysconfdir}/dbus-1/system.d
%config(noreplace) %{_sysconfdir}/dbus-1/session.conf
%config(noreplace) %{_sysconfdir}/dbus-1/system.conf
%{_sysconfdir}/init.d/dbus
%{_sysconfdir}/ConsoleKit
/bin/dbus-cleanup-sockets
/bin/dbus-daemon
/bin/dbus-monitor
/bin/dbus-send
/bin/dbus-uuidgen
/%{_lib}/libdbus-1.so.*
%{_mandir}/man1/dbus-cleanup-sockets.1.*
%{_mandir}/man1/dbus-daemon.1.*
%{_mandir}/man1/dbus-monitor.1.*
%{_mandir}/man1/dbus-send.1.*
%{_mandir}/man1/dbus-uuidgen.1.*
%{_sbindir}/rcdbus
# See doc/system-activation.txt in source tarball for the rationale
# behind these permissions
%attr(4750,root,messagebus) /lib/%{name}/dbus-daemon-launch-helper
%verify(not mode) /lib/%{name}/dbus-daemon-launch-helper
%ghost %{_localstatedir}/run/dbus
%ghost %{_localstatedir}/lib/dbus/machine-id
%dir /lib/systemd
%dir /lib/systemd/system
/lib/systemd/system/dbus.service
/lib/systemd/system/dbus.socket
%dir /lib/systemd/system/dbus.target.wants
/lib/systemd/system/dbus.target.wants/dbus.socket
%dir /lib/systemd/system/multi-user.target.wants
/lib/systemd/system/multi-user.target.wants/dbus.service
%dir /lib/systemd/system/sockets.target.wants
/lib/systemd/system/sockets.target.wants/dbus.socket

%files -n dbus-1-devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/libdbus-1.so
%dir %{_libdir}/dbus-1.0
%{_libdir}/dbus-1.0/include
%{_libdir}/pkgconfig/dbus-1.pc

%files -n dbus-1-devel-doc
%defattr(-,root,root)
%doc doc/api/html
%doc doc/*.txt doc/file-boilerplate.c doc/TODO
%{_datadir}/susehelp

%changelog
* Fri Aug  5 2011 thoenig@suse.de
- add patch: dbus-1.4.1-byteorder.patch
  - Byte-swap foreign-endian messages correctly, preventing a
    long-standing local DoS if foreign-endian messages are relayed
    through the dbus-daemon (bnc#699712)
* Sun Jan  2 2011 javier@opensuse.org
- Update to 1.4.1
  + Fix for CVE-2010-4352: sending messages with excessively-nested
    variants can crash the bus. The existing restriction to 64-levels
    of nesting previously only applied to the static type signature;
    now it also applies to dynamic nesting using variants. Thanks to
    Rémi Denis-Courmont for discoving this issue.
  + Various bug fixes.
  + For details, see
    http://lists.freedesktop.org/archives/dbus/2010-December/013861.html
* Mon Nov  8 2010 aj@suse.de
- Fix package list, own /lib/systemd directories.
* Tue Oct 12 2010 cristian.rodriguez@opensuse.org
- ConsoleKit may not be installed on the system, so kill
  the process at "stop" only if it is running
* Fri Sep 24 2010 cristian.rodriguez@opensuse.org
- add missimg BuildRequires on libcap-ng-devel so dbus can
  drop capabilities when needed.
* Mon Sep  6 2010 kay.sievers@novell.com
- version 1.4.0
  - make dbus-uuidgen atomic
  - fix socket descriptor leak in _dbus_connect_tcp_socket_with_nonce
  - unconditionally enable D-Bus on systemd boots
* Sat Jul 24 2010 kay.sievers@novell.com
- update systemd service installation
* Wed Jul 14 2010 kay.sievers@novell.com
- drop systemd-units
* Sun Jul 11 2010 kay.sievers@novell.com
- update to 1.3.2 snapshot
  - New standardized PropertiesChanged signal in the properties interface
  - Support forking bus services, for compatibility
- install systemd service files
* Mon Jun 28 2010 jengelh@medozas.de
- use %%_smp_mflags
* Thu Mar 25 2010 vuntz@opensuse.org
- Update to version 1.2.24:
  + For details, see
    http://lists.freedesktop.org/archives/dbus/2010-March/012436.html
  + Highlights:
  - Fix a critical crasher bug in the syslog code
  + [bus] While creating a syslog, correctly get pointer data from
    DBusString
  + [bus] Don't install a SIGTERM handler
  + [64 bit printf] Update to use DBUS_PID_FORMAT, print (omitted)
  + Move dispatching to destination to bus_dispatch_matches()
  + Dispatch post-activation messages to anyone interested
  + Build changes.
- Changes from version 1.2.22:
  + For details, see
    http://lists.freedesktop.org/archives/dbus/2010-March/012395.html
  + Highlights:
  - Fix to avoid UI freezes in newer Evolution versions (and any
    other program that makes synchronous DBus calls from a
    non-main thread).
  - Monitor service directories for changes
  + When handling a watch, return if another thread is doing I/O
  + Monitor service directories for changes
  + Sync up UNICODE_VALID with glib, add documentation
  + Support inotify on older kernels
  + Handle OOM in reload watch
  + Refactor _dbus_log_info, _dbus_log_security into
    _dbus_log_system
  + Add DBUS_SYSTEM_LOG_FATAL severity
  + Add _dbus_credentials_to_string_append
  + Add a prefix to our syslog messages
  + Make SELinux initialization failure fatal
  + Don't send an reply for driver messages if one isn't requested
  + Fix double-free in error case.
  + Other simple fixes, build fixes.
  + Explicitly specify in the spec lower-case hex must be used
  + Use AM_SILENT_RULES if available
- Changes from version 1.2.20:
  + For details, see
    http://lists.freedesktop.org/archives/dbus/2010-February/012156.html
  + Fix inotify shutdown
  + Fix compilation in --disable-selinux case
- Changes from version 1.2.18:
  + For details, see
    http://lists.freedesktop.org/archives/dbus/2010-February/012150.html
  + Ignore exit code zero from activated services
  + Switch to libcap-ng, avoid linking libdbus against libcap[-ng]
  + Don't drop pending activations when reloading configuration
  + Update messagebus.in init script to start earlier
  + Clean up inotify watch handling
  + Don't crash when reloading if we haven't loaded user database
    yet
  + fdo#23502 - corrected wrong verbose-output
  + Correct timeout handling
  + dbus-monitor: use unbuffered stdout instead of handling SIGINT
  + fdo#25697 - Fix memory leak in policy reload
  + fdo#23977 - dbus-launch --exit-with-session not killing
    dbus-daemon on SIGINT
  + Use monotonic clock for _dbus_get_current_time() if it's
    available.
  + Make array-printing code easier to follow
  + Forbid zero serial numbers
  + Include reason when reporting corrupt messages
  + Add an accessor for the loader's corruption reason
  + Print byte arrays as nicely-formatted hex.
  + Print all-printable-ASCII byte arrays as strings
  + Build fixes, including fdo#19432, fdo#22788, fdo#22805
* Mon Dec 14 2009 jengelh@medozas.de
- add baselibs.conf as a source
- package documentation as noarch
* Wed Sep  2 2009 mvidner@suse.cz
- Implemented /etc/init.d/dbus reload (bnc#503074).
* Thu Jul 23 2009 kay.sievers@novell.com
- fix %%changelog
* Fri Jul 17 2009 meissner@suse.de
- added dbus-1-devel to baselibs.conf
* Fri Jul 17 2009 kay.sievers@novell.com
- fix --libexecdir to be the proper /lib/dbus-1/ directory
* Wed Jul 15 2009 kay.sievers@novell.com
- update to 1.2.16 release
  - Avoid race conditions reading message from exited process
  - Ensure initialized variable in dbus_connection_remove_filter
  - Don't fail autolaunching if process has SIGCHLD handler
  - Ensure inotify fd is set close on exec
  - Make sure a pending call timeout isn't assumed
  - Allow a pending call to block forever
  - Don't allocate DBusTimeout for pending call when passed INT_MAX
  - Update documentation now that INT_MAX means no timeout
  - Fix issue where timeouts can overflow
  - Remove 6 hour timeout restriction
  - Unrestrict session bus timeout
* Thu Apr 16 2009 crrodriguez@suse.de
- use --disable-static instead of removing static libraries
* Thu Apr  2 2009 werner@suse.de
- Make boot script smart
* Tue Feb 17 2009 thoenig@suse.de
- update to D-Bus 1.2.12:
  - fdo#17969: Don't test for abstract sockets if explicitly
    disabled
  - fdo#18064: more efficient validation for fixed-size type
    arrays
  - Initialize AVC earlier so we can look up service security
    contexts
  - Print serial in dbus-monitor
  - fdo#15412: Add --address option to dbus-send
  - fdo#18446: Keep umask for session bus
  - Fix cross-compiling with autotools.
  - Some code cleanup and warning fixes; --maintainer-mode now
    uses -Werror by default
- add patch dbus-log-deny.patch: log denies to syslog
- drop patch dbus-1.2.10-compile-fix.patch
* Mon Jan 26 2009 lnussel@suse.de
- remove dbus-1.2.10-permissive.patch
- move /lib/libdbus-1.so to /usr
* Tue Jan 20 2009 thoenig@suse.de
- update to 1.2.10: prepares fix for CVE-2008-4311 (bnc#443307)
  - fix send_requested_reply="true" allows all non-reply messages
  - add syslog of denials and config file reloads
  - system policy cleanup
- add patch dbus-1.2.10-compile-fix.patch: 1.2.10 compile fix
- add patch dbus-1.2.10-permissive.patch: behave like permissive
  branch, needs to be dropped as soon as all applications ship
  with correct configuration files for the system bus
- drop patch dbus-do-not-abort-on-check-thoenig-01.patch
* Wed Dec 10 2008 dmueller@suse.de
- list the machine id as ghost file
- fix filelist
* Wed Dec 10 2008 olh@suse.de
- use Obsoletes: -XXbit only for ppc64 to help solver during distupgrade
  (bnc#437293)
* Mon Nov  3 2008 thoenig@suse.de
- Remove dbus-allow-root-access-to-session-bus.patch (bnc#428963).
* Thu Oct 30 2008 olh@suse.de
- obsolete old -XXbit packages (bnc#437293)
* Fri Oct 10 2008 hpj@novell.com
- Add dbus-allow-root-access-to-session-bus.patch (bnc#428963).
* Tue Oct  7 2008 thoenig@suse.de
- Update to D-Bus 1.2.4
- fix for CVE-2008-3834 (bnc#432901)
- compilation and portability fixes
* Wed Sep  3 2008 lnussel@suse.de
- hook into ConsoleKit for at_console support
- only require selinux for > 11.0
* Mon Aug 25 2008 prusnak@suse.cz
- enabled SELinux support [Fate#303662]
* Fri Aug 22 2008 aj@suse.de
- Fix init script.
* Thu Aug  7 2008 thoenig@suse.de
- Update to D-Bus 1.2.3
- Changes:
  * new UpdateActivationEnvironment bus API (fdo#16669)
  * Solaris Auditing (ADT) support (fdo#15740)
  * Various notable bug fixes (fdo#16727, fdo#16294, fdo#15947
    fdo#15588
- Remove patches which went upstream (dbus-userdb-typo.patch,
  dbus-fix-timer-leak-dmueller-01.patch)
* Mon Jun  2 2008 thoenig@suse.de
- add patch dbus-userdb-typo.patch (bnc#394383)
* Wed May  7 2008 thoenig@suse.de
- add patch dbus-fix-timer-leak-dmueller-01.patch (bnc#381621)
* Thu Apr 24 2008 thoenig@suse.de
- %%post: don't use invalid macro
- %%post: don't call %%run_ldconfig (deprecated)
* Mon Apr 14 2008 thoenig@suse.de
- run dbus-uuidgen in %%post
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Tue Apr  8 2008 thoenig@suse.de
- Update to D-Bus 1.2.1
- Changes:
  * compiles under some older versions of glibc
  * compiles without X support once again
  * fix stuck server grab if dbus-launch is run in an existing
    D-Bus X session
  * various Mac OSX build fixes added
  * don't use the broken poll call on Mac OSX
  * better checks for linker flag support should allow D-Bus to
    link under various linkers
  * exit_on_disconnect is set after the connection registers with
    a bus so we don't exit if we get a disconnect during the
    handshake
  * dicts now work correctly with dbus-send
  * inotify backend is now less aggressive
  * pending calls expire correctly
  * memleak of uuid when the bus is autolaunched fixed
* Wed Feb 27 2008 thoenig@suse.de
- Update to D-Bus 1.1.20
- Changes:
  * system bus activation
  * TCP address format enhancements
  * ANONYMOUS mechanism for authentication
  * autolaunched busses now save their parameters in X11 if
    possible
  * inotify is now the default backend for watching configuration
    file changes
  * better thread support
  * bus daemon now generates a globally-unique ID for itself
  * support for message serialization added
  * better eavesdropping support now picks up reply messages for
    debugging
  * Fixed CVE-2008-0595
  * Fixes dbus-launch so the session bus goes away so does D-Bus
  * Builds against latest gcc/glibc changes
  * Correctly unref connections without guids during shutdown
  * API additions:
    o dbus_connection_set_allow_anonymous() - allow the message
    stream to begin if the client auths as anonymous
    o dbus_watch_get_unix_fd() - replaces dbus_watch_get_fd
    o dbus_watch_get_socket() - replaces dbus_watch_get_fd
    o dbus_server_get_id() - available to access the unique ID of
    a particular address
    o dbus_connection_get_server_id() - available to access the
    unique ID of a particular address
    o dbus_message_marshal() - serializes a message into a byte
    array
    o dbus_message_demarshal() - de-serializes a byte array into
    a message
  * API deprecation:
    o dbus_watch_get_fd() - had unclear cross-platform semantics
  * Protocol additions:
    o Argument path matching of the type arg0path=’/aa/bb/’ is now
    supported
    o New error org.freedesktop.DBus.Error.ObjectPathInUse added
    o ANONYMOUS auth support added
    o GetAll call added to the properties interface for getting a
    list of properties an object exports
- Add patch dbus-1.1.20-fix-build.patch
* Fri Jan 18 2008 thoenig@suse.de
- Update to D-Bus 1.1.4 (1.2.0 RC2)
- Drop patch dbus-inotify-fix-thoenig-01.patch: Merged upstream
* Thu Jan 17 2008 thoenig@suse.de
- Add patch dbus-inotify-fix-thoenig-01.patch: Fix inotify support
* Wed Jan 16 2008 thoenig@suse.de
- Update to D-Bus 1.1.3
- DTD for the introspection format is fixed and uploaded to the
  servers
- Argument path matching of the type arg0path='/aa/bb/' is now
  supported (see the specification for more information)
- New error org.freedesktop.DBus.Error.ObjectPathInUse added
  Autolaunched busses now save their parameters in X11 if possible
  making them behave closer to busses launched through the normal
  mechanisms
- inotify is now the default backend for watching configuration
  file changes
- More support for the AIX platform has been added
- Numerous bug fixes and performance enhancements
* Thu Dec 13 2007 thoenig@suse.de
- Fix permissions for activation helper
- Use bzip2 for tar ball
* Mon Nov 19 2007 thoenig@suse.de
- Update to snapshot of D-Bus 1.1.3 (git20071112)
- Own /usr/share/dbus-1/system-services
- Don't restart on update
- Remove dbus-audit-user.patch (upstream)
* Fri Oct 19 2007 jpr@suse.de
- Correct error in fix for b.n.c 332845, extraneous  $DBUS_DAEMON_PID
* Fri Oct 19 2007 meissner@suse.de
- adjust permissions handling
* Fri Oct 12 2007 thoenig@suse.de
- Don't use startproc (b.n.c 332845)
- Merge D-Bus package from build service
* Tue Oct  2 2007 tambet@novell.com
- Update to 1.1.2 for system service activation.
- Add patches from RedHat:
  dbus-lsb.patch
  dbus-audit-user.patch
  dbus-no-abort.patch
* Tue Sep 25 2007 dmueller@suse.de
- install a interfaces directory
* Fri Aug 10 2007 dmueller@suse.de
- package size reduction (31%%)
- documentation shouldn't be executable
* Mon Jul 30 2007 thoenig@suse.de
- Fix path in rc script for both, dbus-daemon and dbus-uuidgen
* Sun Jul 29 2007 ro@suse.de
- next attempt to fix path for dbus-launch
* Sat Jul 28 2007 thoenig@suse.de
- Fix location of dbus-1-launch for dbus-1-x11
- Fix dbus-1-devel to own %%{_libdir}/dbus-1.0
* Wed Jul 25 2007 thoenig@suse.de
- move D-Bus to / (b.n.c #285472)
- remove static libraries
* Fri Jul 20 2007 dmueller@suse.de
- build against libexpat (#285472)
* Tue Jun 19 2007 thoenig@suse.de
- Add $local_fs to Required-Start (b.n.c #285472)
* Fri Mar 16 2007 dmueller@suse.de
- display error messages from dbus-launch
* Sun Feb 25 2007 thoenig@suse.de
- remove leading whitespace from .changes
* Thu Feb 22 2007 thoenig@suse.de
- Disable dbus-do-not-abort-on-check-thoenig-01.patch until we hit
  RC phase.
* Mon Feb 19 2007 dmueller@suse.de
- fix mis-placed comment marker
* Tue Feb 13 2007 dmueller@suse.de
- build wih x support for dbus-1-x11 package (#225627)
* Wed Dec 13 2006 thoenig@suse.de
- move invocation of autoreconf from %%prep to %%build
- update to D-Bus 1.0.2 (skipped 1.0.1)
  - fix security bug CVE-2006-6107 match rules can be removed by
    apps that did not create them
  - pthread fix
  - fix bug where calling dbus_threads_init_default would assert
  - fix UUID output to match the spec
  - clear up documentation on UUIDs
* Sun Nov 12 2006 thoenig@suse.de
- add patch dbus-do-not-abort-on-check-thoenig-01.patch: Do not
  call _dbus_warn_check_failed() but _dbus_warn() on checks as
  _dbus_warn_check_failed() always leads to abort(3)
* Sat Nov 11 2006 thoenig@suse.de
- update to D-Bus 1.0.0
  - documents updated with API/ABI guarantees
  - added missing patch FreeBSD need to run out of the box
  - dbus-monitor now has a profile mode
  - AUTHORS file updated with names from the ChangeLog. Thanks to
    everyone who helped get us here
* Thu Nov  9 2006 thoenig@suse.de
- start service for D-Bus system bus also in run level 2 (b.n.c
  [#216805])
* Sat Nov  4 2006 thoenig@suse.de
- remove patch
  dbus-send-do-not-close-shared-connection-thoenig-01.patch (fix
  is now upstream)
- run cleanup-man-pages.sh to clean up Doxygen man page output
- cleanup rc script, add invocation of dbus-uuidgen
- do not call dbus-uuidgen in %%post
- update to D-Bus 0.95
  - DBUS_API_SUBJECT_TO_CHANGE no longer needs to be defined when
    building apps
  - ./configure checks now work when cross compiling
  - dbus-uuidgen --ensure is now run in the init script so there
    is no need to run it in a post script
  - dbus-uuidgen now writes out to /var/lib/dbus to work with
    systems that do not have a writable /etc. Packages should
    install and own the /var/lib/dbus directory
  - recursive locks are now used when dbus_threads_init_default is
    called
  - standard_session_servicedirs tag added to the session.conf
    under a normal build this specifies these service directories:
    /usr/local/share/dbus-1/services
    /usr/share/dbus-1/services
    $HOME/.local/share/dbus-1/services
  - fixed crash when a service directory is specified more than
    once
  - fixed a crash in *BSD when watching config directories for
    changes
  - fixed Irix build by using dirp->__dd_fd to get the file
    descriptor
  - cleaned up the LOCAL_CREDS vs CMGCRED credential code so
  * BSD's don't crash here anymore
  - dbus_message_iter_get_array_len deprecated
  - cleanup-man-pages.sh added so packagers can clean up Doxygen
    man page output from 7 to 2 megs
  - large documentation improvements
  - numerous bug fixes
* Mon Oct 23 2006 thoenig@suse.de
- add patch
  dbus-send-do-not-close-shared-connection-thoenig-01.patch:
  Do not call dbus_connection_close() for shared connection.
* Sun Oct 15 2006 thoenig@suse.de
- do not kill applications using D-Bus on update (b.n.c #210192)
- fix 'rcdbus status' to report correctly if D-Bus was not running
- run 'dbus-uuidgen --ensure' in %%post section
- drop patch dbus-unref-connections-on-close-thoenig-01.patch
  (fix is upstream)
- drop patch dbus-display_DBUS_DAEMONDIR_in_configure.diff (fix is
  upstream)
- drop patch dbus-tools_autobuild.diff (not required any more)
- update to D-Bus 0.94 (skipped 0.93)
  - dbus-uuidgen binary added for future remote machine
    identification
  * packagers should call dbus-uuidgen --ensure in their post
  - GetMachineId peer method added to the bus API
  - dbus_connection_set_route_peer_messages API added to let the
    bus send peer messages directly to an app
  - autolaunch abilities added to dbus-launch with the
  - -autolaunch flag
  * This feature allows libdbus to start a session bus if none
    can be found
  * This is an internal feature and should not be used by
    scripts DBUS_SESSION_BUS_ADDRESS is still the correct way to
    specify a session bus
  - dbus-launch now prints out a simple key value pairs instead of
    shell scripts if one of the shell flags aren't used
  - support DBUS_BLOCK_ON_ABORT env variable to cause blocking
    waiting for gdb
  - weak ref are now held for shared connections so the right
    things happen this fixes some pretty major bugs with the way
    connections were handled
  - some refactoring for Windows (doesn't effect Unix)
  - Solaris build fixes
  - MacOSX build fixes
  - Cross compile build fixes. We now assume getpwnam_r is posix
    and va_lists can be copied by value since we can't check this
    in a cross compile. If this is not true for a particular target
    is up to the developer to patch.
  - dbus_threads_init_default added for initalizing threads without
    the need for bindings
  - Filters are now properly removed
  - dbus_connection_open now holds a hard ref to shared connections
  - we now print out a warning and do nothing when someone tries to
    close a shared connection
  - the --introspect switch has been added to the bus for printing
    out introspection data without actually running the bus
  - LOCAL_CREDS socket credentials are now supported for systems
    which support it such as NetBSD
  - generalize kqueue support so it works with NetBSD as well as
    FreeBSD
  - numerous bug fixes and memory leaks patched
* Thu Aug 31 2006 dkukawka@suse.de
- added patch dbus-display_DBUS_DAEMONDIR_in_configure.diff to
  expand the complete path of DBUS_DAEMONDIR (b.n.c. #202854)
* Thu Aug 24 2006 thoenig@suse.de
- add patch dbus-unref-connections-on-close-thoenig-01.patch: Unref
  connections on dbus_connection_close (b.n.c. #201164).
* Sat Aug 19 2006 thoenig@suse.de
- update to D-Bus 0.92
  - proper thread locking added to pending calls
  - threading semantics changed from init early to init before the
    second thread
  - correctly error out when an application tries to acquire or
    release the org.freedesktop.DBus name instead of sending false
    result codes
  - kqueue directory watching code can now be used to monitor
    config file changes on FreeBSD
  - --with-dbus-daemondir configure switch added so the daemon can
    be installed separate from the user binaries
  - Makefiles fixed for cygwin
  - fixed docs and comments to use the D-Bus spelling instead of
    D-BUS
  - many memleaks and bugs fixed
* Thu Aug 17 2006 thoenig@suse.de
- update to D-Bus 0.92 CVS snapshot 2006-08-17
- don't crash in dbus_pending_call_get_completed if D-Bus
  connection is used twice in one application
- dbus-1-devel-doc: don't package non-existent HTML files
* Wed Aug 16 2006 aj@suse.de
- Do not use xmlto in BuildRequires.
* Tue Aug  1 2006 thoenig@suse.de
- split out binings to sparate spec files
- string replacement: s/D-BUS/D-Bus
- spec file cleanups
- remove aaa_base from requires
- drop dbus-1-qt (qt-dbus obsoletes dbus-1-qt)
- new upstream version 0.91 (skipped 0.90)
  - remove some lingering bits left over from the bindings split
  - fix assertion causing D-Bus applications to crash when checks
    are enabled
  - fix a timeout bug which would block applications from being
    auto started
  - API/ABI freeze for 1.0
  - bindings are now split out into seperate packages
  - listActivatableNames added as a method on the bus
  - removed deprecated dbus_connection_disconnect (use
    dbus_connection_close)
  - shared connections are now unreffed on disconnect
  - fixed pending calls for threaded enviornments
  - pending calls get timed out on connection disconnect
  - dbus_connection_send_with_reply returns TRUE and a NULL pending
    call if you call it on a connection object which has been
    disconnected already (it returns FALSE on Out of Memory errors
    only)
  - dbus-monitor now correctly catches methods, not just signals
  - dbus-monitor now prints object paths
* Fri Jul  7 2006 adrian@suse.de
- fix build for < 10.1
  * do not use -fstack-protector
- fix build for non-SUSE distros
* Tue Jul  4 2006 adrian@suse.de
- fix build for 10.1
- remove requires to -%%release which can't work
* Mon Jul  3 2006 thoenig@suse.de
- call configure with --exec_prefix and --datadir
- spec file clean up
* Thu Jun 22 2006 thoenig@suse.de
- fix build: add freetype2-devel and libpng-devel to dbus-1-qt.spec
- add patch: dbus-pending-reply-revert.diff to avoid crashes of
  multi-threaded applications using libdbus-1.
* Tue Jun 20 2006 coolo@suse.de
- split out -qt and -qt3 into their own spec files
* Mon Jun 12 2006 thoenig@suse.de
- new upstream version 0.62
  - doc fixes
  - add support for all data-types for the dbus tools
  - fix eavesdropping on method calls (dbus-monitor)
  - fix silent dropping of method calls with interface=NULL
  - fix console ownership problems in Solaris
  - fix installation of dbus-signature.h and #include it in dbus/dbus.h
  - flush the user database cache on config reload
  - GLib bindings:
  - fix memory leaks
  - fix properties in DBusGProxy so that they can be given in any
    order
  - add lots of assertions to ensure correct use
  - remove duplicated code
  - fix static string pointer uses in GPtrArray-based collections
  - Python bindings:
  - remove reference to sys/cdefs.h
  - Qt4 bindings:
  - code reorganized
  - add the dbusidl2cpp, dbuscpp2xml and dbus tools
  - add example programs (ping-pong, complex ping-pong, listnames, chat)
  - updat selftests
  - fix compilation and .moc- and .ui-file processing and cleaning
  - make central classes derive from QObject
  - enhance error reporting
  - many bugfixes
  - Mono bindings:
  - minor bugfixes
- dbus-gcj_fixes.diff:  remove hunk for fastjar
- dbus-qt_moc_configure.diff:  dropped, now upstream
- dbus-qt_compile_fix.diff:  dropped, now upstream
- dbus-mono-args.diff:  dropped, now upstream
- dbus-mono-return-null.diff:  dropped, now upstream
- dbus-pedantic_compile.diff:  dropped, now upstream
- dbus-reply_pending_limit.diff:  dropped, now upstream
- add fastjar to requires of dbus-1-mono
* Mon Apr 24 2006 thoenig@suse.de
- Add patch (dbus-mono-exit-on-disconnect.diff) from Aaron Bockover
  to extend the API of the mono bindings for exit_on_disconnect()
  (Novell bug #167824).
* Wed Mar 15 2006 thoenig@suse.de
- disable dbus-connection-blocks-on-poll.diff as it leads to
  crashes in applications using
  dbus_connection_send_with_reply_and_block ().
* Mon Mar  6 2006 thoenig@suse.de
- add restart_on_update back to %%postun (#143151, #150042)
* Fri Mar  3 2006 thoenig@suse.de
- Add patch (dbus-connection-blocks-on-poll.diff) in order to fix
  pending replies being delayed if an application using the bus
  blocks on another pending reply. (not tracked in upstream
  bugzilla, only on-list, Novell bug #154916)
- Sync patches with dbus-1-mono
* Wed Mar  1 2006 thoenig@suse.de
- Add patch (dbus-reply_pending_limit.diff) in order to fix the
  pending replies limit not to be common for all connections.
  (Freedesktop bug #4200, Novell bug #153733)
* Fri Feb 24 2006 aj@suse.de
- Sync patches with dbus-1-mono.
* Tue Feb 14 2006 ro@suse.de
- move all bindings except for glib to dbus-1-mono specfile
- remove restart_on_update (only restart on reboot) (#143151)
* Fri Feb  3 2006 aj@suse.de
- Remove unneeded BuildRequires.
* Sun Jan 29 2006 aj@suse.de
- Splitup packages dbus-1-qt3-devel, dbus-1-qt-devel (#144857).
* Fri Jan 27 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 thoenig@suse.de
- Fixed D-BUS to restart on `rcdbus restart` id session busses
  are running (closes #127969)
* Fri Jan 20 2006 werner@suse.de
- Make rc script fully conforming with LSB
* Thu Jan 19 2006 meissner@suse.de
- Use -fstack-protector.
- Added some missing requires to the -devel packages.
* Thu Jan  5 2006 thoenig@suse.de
- added libxml2-python to Requires of dbus-1-python (closes
  [#141225])
* Tue Dec 20 2005 dmueller@suse.de
- fix Qt4/x86_64 build with Qt 4.1
* Sat Dec 17 2005 thoenig@suse.de
- renamed sub package for Qt bindings from dbus-1-qt to dbus-1-qt3
- introducing Qt4 bindings, new package is dbus-1-qt
- renamed dbus-qt_compile_fix.diff to dbus-qt3_compile_fix.diff
- added -fno-strict-aliasing to CXXFLAGS
- modified patch:
  * removed configure.in parts of dbus-qt3_compile_fix.diff (fixed
    upstream)
- removed patches:
  * dbus-dnotify_configure-01.diff (fixed upstream)
  * dbus-dnotify_watchdirs-01.diff (fixed upstream)
* Fri Dec  9 2005 ro@suse.de
- disable selinux
* Tue Nov 22 2005 coolo@suse.de
- make libdbus-1-qt self containing lib
* Sat Nov 12 2005 thoenig@suse.de
- added patches to make dnotify actually work for configuration
  file changes.  We now can add new bus policies at runtime.
  * dbus-dnotify_configure-01.diff
  * dbus-dnotify_watchdirs-01.diff
* Thu Oct 20 2005 thoenig@suse.de
- added -fPIC to CFLAGS
* Wed Sep 21 2005 thoenig@suse.de
- new upstream version 0.50.2 (skipped some)
- removed patches:
  * dbus-disable_kde_dependency.diff (upstream)
  * dbus-transaction_fix.diff (upstream)
  * dbus-session-connect.diff (upstream)
  * dbus-gcj_fix_for_gcc4_on_x86_64.diff (duplicated, see
    dbus-gcj_fixes.diff)
- modified patch:
  * dbus-gcj_fixes.diff (removed reference to $BUILD_ROOT in .la)
* Sat Sep 17 2005 dmueller@suse.de
- make header files compileable with -pedantic
* Tue Sep  6 2005 dkukawka@suse.de
- fixed return values for rchal start to be LSB conform (#115385)
* Sun Sep  4 2005 aj@suse.de
- Add check-build.sh script.
* Tue Aug 30 2005 thoenig@suse.de
- Moved man pages to correct sub-packages (closes #114036)
* Tue Aug 30 2005 thoenig@suse.de
- Added patch to fix session bus exploit (CAN-2005-0201, closes
  [#114043])
* Thu Aug  4 2005 thoenig@suse.de
- Replaced previous workaround for #98264 with a proper fix
* Tue Jul 26 2005 thoenig@suse.de
- Reduce timeout for (wrongly assumed?) oom situations from 500ms
  to 50ms (closes #98264).
* Mon Jul 18 2005 thoenig@suse.de
- new upstream version 0.35.2 (skipped 0.35 and 0.35.1)
- removed patches:
  * dbus-python_bindings_gcc4_fix.diff (obsolete)
  * dbus-console-auth-SuSE-01.diff (upstream)
- new patches:
  * dbus-gvalue-utils-fix.diff (function returned random data)
  * dbus-python_bindings_fix.diff (unititialized variable)
* Wed Jun 22 2005 thoenig@suse.de
- new upstream version 0.34
- new patch `dbus-console-auth-SuSE-01.diff`: this patch adds the
  command line option "--with-console-auth-dir" for resmgr
  integration.
* Wed Jun 22 2005 thoenig@suse.de
- moved *.la *.a and *.pc files from dbus-1-glib to dbus-1-devel
- added dbus-1-glib and glib2-devel to Requires of dbus-1-devel
* Thu May 19 2005 adrian@suse.de
- fix path to documentation in susehelp desktop file
* Mon May  2 2005 lnussel@suse.de
- fix init script dbus-daemon-1 -> dbus-daemon
- use fastjar only on > 9.3
* Thu Apr 28 2005 thoenig@suse.de
- new upstream version 0.33
- fixed typo in 'rc.boot.dbus'
* Mon Apr 25 2005 thoenig@suse.de
- updated e-mail address in 'rc.boot.dbus'
* Thu Apr 21 2005 thoenig@suse.de
- updated short description in 'rc.boot.dbus'
* Wed Apr 20 2005 thoenig@suse.de
- D-BUS 0.33 (CVS 2005-04-19)
- ABI changes will affect packages: beagle, gnome, hal,
  ial, kdebase3, submount, tomboy. A tutorial to fix errors caused
  by the ABI/API change:
  http://people.redhat.com/johnp/files/dbus_0.23_to_0.30_porting_quickref.txt
- enabled python bindings again. GCC4 fix is provided by
  dbus-python_bindings_gcc4_fix.diff. This patch is to be dropped
  once  pyrex  generates GCC4-clean C code.
* Mon Apr 18 2005 ro@suse.de
- use "fastjar" instead of "jar" with gcc-4
- disable python bindings for now
  (generated code is not really gcc-4 compliant)
* Wed Mar 16 2005 thoenig@suse.de
- applied 'dbus-il-fix.patch' for dbus-1-mono to prevent a crash
  caused by a change in mono.
* Mon Mar 14 2005 schwab@suse.de
- Fix name of init script.
* Mon Mar 14 2005 thoenig@suse.de
- changed init order for hal/dbus/resmgr
* Sun Mar 13 2005 thoenig@suse.de
- applied `dbus-mono-leak.diff` which fixes memory leaks of the
  mono bindings.
* Sat Mar 12 2005 thoenig@suse.de
- new upstream version 0.23.4
* Thu Mar 10 2005 thoenig@suse.de
- new upstream version 0.23.3
- removed obsolete patch (python_bindings_x86_64_fix.diff)
* Thu Mar  3 2005 dkukawka@suse.de
- fixed boot.dbus [see bug# 65775]
* Mon Feb 28 2005 thoenig@suse.de
- moved files from dbus-1-devel to dbus-1-{glib,java,qt}
* Tue Feb 22 2005 thoenig@suse.de
- added fix for python bindings to compile on 64 bit
- moved {_datadir}/dbus-1 and {_datadir}/dbus-1/services from
  dbus-1-x11 to dbus-1 package
* Mon Feb 21 2005 gekker@suse.de
- Fix dbus-1-x11, add directory so dbus-launch will work
* Mon Feb 21 2005 adrian@suse.de
- avoid kde dependencies to improve our build times.
  The only thing which does need KDE is the configure script,
  the bindings itself are pure Qt
* Sun Feb 20 2005 thoenig@suse.de
- new upstream version 0.23.2
* Sun Feb 20 2005 thoenig@suse.de
- new upstream version 0.23.2
* Tue Feb 15 2005 dkukawka@suse.de
- update to new version 0.23.1
* Tue Feb 15 2005 dkukawka@suse.de
- update to new version 0.23.1
* Fri Feb  4 2005 gekker@suse.de
- Use mono-devel-packages in neededforbuild
- pass --enable-mono in ./configure
- Make sure the symbolic link of dbus-sharp.dll is installed
* Thu Feb  3 2005 thoenig@suse.de
- fixed assignment of .pc files
  * dbus-1.pc      is now owned by dbus-1-devel
  * dbus-glib-1.pc is now owned by dbus-1-glib
  * dbus-sharp.pc  is now owned by dbus-1-mono
* Thu Feb  3 2005 thoenig@suse.de
- fixed assignment of .pc files
  * dbus-1.pc      is now owned by dbus-1-devel
  * dbus-glib-1.pc is now owned by dbus-1-glib
  * dbus-sharp.pc  is now owned by dbus-1-mono
* Thu Feb  3 2005 ro@suse.de
- use common macros in pre/post scripts
* Fri Jan 28 2005 dkukawka@suse.de
- fixed specfile of dbus
* Fri Jan 28 2005 dkukawka@suse.de
- added aaa_base to requirements
- added /etc/init.d/boot.localfs to prereqy
* Tue Jan 25 2005 dkukawka@suse.de
- cleaned up requirements in spec-file
- disabled all unneeded bindings within ./configure to reduce
  buildtime
* Tue Jan 25 2005 dkukawka@suse.de
- cleaned up requirements in spec-file
* Sun Jan 23 2005 dkukawka@suse.de
- fixed libdir directory for x86_64 in mono package
* Sun Jan 23 2005 dkukawka@suse.de
- fix libdir directory for x86_64
* Thu Jan 20 2005 adrian@suse.de
- enable api docu for qt, c# and java
- integrate api docu into suse help
* Thu Jan 13 2005 dkukawka@suse.de
- update to new version [0.23]. For more infos read the Changelog
  of the src
* Thu Jan 13 2005 dkukawka@suse.de
- update to new version [0.23]. For more info read the Changelog
  of the src
- changed position in /etc/rc.d/boot.d/, now dbus start depending
  on boot.localnet (this is a workaround to the /var/run - cleanup
  is moved from boot.localnet to boot.localfs)
* Wed Jan 12 2005 dkukawka@suse.de
- changed some in dbus-1-mono.spec
* Wed Jan 12 2005 dkukawka@suse.de
- changed rc-script:
  - now dbus start in boot.d
  - start depends on boot.localfs
- changed spec-file, now insserv instead of chkconfig
- fixed bug #49410
* Tue Jan 11 2005 ro@suse.de
- added /usr/lib/qt3/bin to PATH (for moc)
* Mon Jan 10 2005 adrian@suse.de
- fix build, qt developer tools aren't in default PATH anymore
* Mon Nov 29 2004 dkukawka@suse.de
- removed ExclusiveArch, since mono and gtk-sharp for other
  archs available (thanks to ro@suse.de)
* Sun Nov 28 2004 dkukawka@suse.de
- moved package to ../done/I386 , package is only for %%ix86,
  because on other archs we don´t have gtk-sharp
- changed requirements [dbus = %%{version}-%%{dbus_release}]
* Sun Nov 28 2004 dkukawka@suse.de
- init
* Thu Nov 25 2004 dkukawka@suse.de
- removed automatically deleting of DBUS-user and -group in
  uninstall-routine
- readding dbus-1-python package
- changed different due to new automake and python versions
- added Requires and BuildRequires
* Tue Nov 23 2004 dkukawka@suse.de
- added packages [glib, x11]
- change different things in packages, removed doupled/conflicting
  files in packages [base-rpm, devel, gtk, java, qt]
- changed different in %%pre, %%preun, %%post, %%postun sections of the
  spec-file
- stop dbus automatically before uninstall
- add/remove now dbus automatically to/from system services
* Sat Nov 20 2004 dkukawka@suse.de
- fixed bug in spec-file
* Thu Nov 18 2004 dkukawka@suse.de
- removed binding package for Python while automake is fixed !
* Wed Nov 17 2004 dkukawka@suse.de
- added binding packages [java, qt, gtk, python]
* Fri Nov  5 2004 thoenig@suse.de
- dynamic allocation of user id user messagebus
- dynamic allocation of group id for group messagebus
* Thu Oct 21 2004 thoenig@suse.de
- init
